Skip to content

Operation Mode

All operations require authentication.

2 operationsv1/overTheBox/{serviceName}
Agent setup

List the operation modes of an OverTheBox serviceBeta

GET
/1.0/overTheBox/{serviceName}/availableOperationModes

List the operation modes of an OverTheBox service. Returns the operation modes the service can switch to with the operationMode call.

Path parameters

serviceName
required
string

The internal name of your overTheBox offer

Response

200OperationModeEnum[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/overTheBox/{serviceName}/availableOperationModes \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "overthebox"]

Update the operation mode of an OverTheBox serviceBeta

PUT
/1.0/overTheBox/{serviceName}/operationMode

Update the operation mode of an OverTheBox service. Switches the service to one of its available operation modes and returns the task.

Path parameters

serviceName
required
string

The internal name of your overTheBox offer

Request body (required)

operationMode
required
OperationModeEnum

Operation mode of the service

Valuesovertheboxoverthebox-legacywireguard

Response

200Tasksuccessful operation
name
read-only
string

The name of the task

status
read-only
TaskStatusEnum

The status of the task

Valuesdoingdoneerrortodo
taskId
read-only
string

The id of the task

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/overTheBox/{serviceName}/operationMode \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "name": "string", "status": "doing", "taskId": "string"}